"use strict";
this.name = "oolite-random-hits-miningpod";
this.author = "LittleBear";
this.copyright = "December 2008 - But do what you like with it in your OXPs!";
this.description	= "Fines scoopers of GalMine AutoPay Pods for the theft."
this.licence     = "CC BY-NC-SA 3.0";
this.version = "2.2";

this.shipSpawned = function ()
{
    if (Math.random() < 0.1) this.ship.switchAI("homeAI.plist");
    this.ship.setCargo("Minerals", 1);
    delete this.shipSpawned;
    // log(this.name, "Pod created by: "+this.ship.owner.name);
};

this.shipWasScooped = function (scooper)
{
	if (scooper.isPlayer)
	{
        if (player.ship.cargoSpaceAvailable >= 1 && !this.wasScooped)
        {
            manifest["machinery"]++;
            this.wasScooped = true; // only award machinery once
        }
		player.consoleMessage(expandDescription("[random_hits_pod_theft]"), 4);
	}
    var barMember = this.isBarGroupMember(scooper);
    //log(this.name, "Pod scooped by: "+scooper.name+ " who is barmember: "+barMember);
    if (!barMember) scooper.bounty += Math.ceil(Math.random()*250)/10;
};

this.shipDied  = function (who, why)
{
  	if (!who || !why || why != "energy damage") return;
    var barMember = this.isBarGroupMember(who);
    if (!barMember) who.bounty += Math.ceil(Math.random()*250)/10;
};

this.isBarGroupMember = function (ship)
{
    if (ship.group && ship.group.leader && ship.group.leader.primaryRole === "random_hits_spacebar") return true;
    return false;
};
