"use strict";
this.name = "oolite-random-hits-bigboss-guard";
this.author = "LittleBear";
this.copyright = "March 2009 - But do what you like with it in your OXPs!";
this.description	= "Gives Big Boss Criminals Escorts an indiviual name on the ID computer and sets them to the right AI.";
this.licence     = "CC BY-NC-SA 3.0";
this.version = "2.4";

this.shipSpawned = function ()
{
    //this.ship.name = "Big Boss escort";
	this.ship.displayName = this.ship.name + ": " + expandDescription("[random_hits_bigboss_guard_name]");
    this.ship.switchAI("randomhitsescort3AI.plist")
    this.ship.bounty += Math.random()*50+50;
    delete this.shipSpawned;
}

this.shipBeingAttacked = function (who)
{
    if (!who) return;
    if (who.roles.indexOf("bigBos_revenge_clan") > -1) 
    {
        this.ship.reactToAIMessage("FRIENDLY_FIRE");
        return;		
    }

    if (who.primaryRole === "random_hits_spacebar") 
    {
        this.ship.reactToAIMessage("SPACEBAR_ATTACK");
        return;		
    }

	// The AIs of criminals do not react to the nomal "ATTACKED" message, only this special one. They therefore ignore attacks by their own side.	
	this.ship.reactToAIMessage("ENEMY_ATTACK"); 
}

this.shipDied = function (whom)
{
    if (whom && whom.isPlayer)
	{
        missionVariables.random_hits_criminal_hate_score += 2;
        missionVariables.random_hits_criminal_kill_score++;
	}
}
